Subject: bug#43389: 28.0.50; Emacs memory leaks

From: "Jose A. Ortega Ruiz" <[email-masked]>
Date: Wed, 09 Dec 2020 19:41:36 +0000

On Tue, Dec 08 2020, Russell Adams wrote:

> On Tue, Dec 08, 2020 at 03:24:27AM +0000, Jose A. Ortega Ruiz wrote:
>> On Tue, Dec 08 2020, Michael Heerdegen wrote:
>>
>> > shut it down normally).  I'm sure that at least a significant part of
>> > the problem materialized while using (more or less only) Gnus.
>>
>> I also have anecdotal evidence of that.  Quite systematically, i start
>> emacs, things load, i'm around 300Mb or RAM, quite stable.  Then i start
>> Gnus, read some groups, and, ver soon after that, while emacs is
>> basically idle, i can see RAM increasing by ~10Mb every ~10secs until it
>> reaches something like 800-900Mb.
>
> I have consistently encountered this memory leak without a clear path
> to reproducing it other than regular use over time, and I don't use
> Gnus. I read mail in Mutt in another terminal window.
>
> Thus I'm not sure Gnus is the culprit.

Neither am i :) Actually, i just observed the pattern above (RAM going
up by 1Mb/sec bringing total memory from 300Mb to 800Mb, then stopping)
before starting Gnus.  So i guess that, if Gnus plays any role, it must
be indirectly.

jao
-- 
I don't necessarily agree with everything I say.
 -Marshall McLuhan (1911-1980)